Bug 1367537 - wine package(s) missing 32-bit cups lib dependency
Summary: wine package(s) missing 32-bit cups lib dependency
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: wine
Version: 24
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Andreas Bierfert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-08-16 17:17 UTC by Ray Guilbault
Modified: 2016-12-04 02:23 UTC (History)
4 users (show)

Fixed In Version: wine-1.9.23-1.fc24 wine-1.8.5-2.el7 wine-1.8.5-2.el6 wine-1.9.23-2.fc25
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-11-28 05:47:53 UTC
Type: Bug


Attachments (Terms of Use)

Description Ray Guilbault 2016-08-16 17:17:56 UTC
Description of problem: wine apps won't print if the 32-bit cups lib has not been installed. Was not obvious that the reason wine apps could not see the available printers was the lack of the 32-bit cups lib. This dependency is included in the winehq fedora package.


Version-Release number of selected component (if applicable):
cups 2.1.4
wine 1.9.16
fedora 24

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results: message displayed after clicking on File/Print... in Notepad
Before you can perform printer-related tasks such as page setup or printing a document, you need to install a printer. Please install one and retry.


Expected results: List of printers when printing from gedit
Print to File
HP_LaserJet_Professional_M1212nf_MFP
HP_LaserJet_Professional_M1212nf_MFP_fax



Additional info:

Comment 1 Michael Cronenworth 2016-11-08 05:00:08 UTC
Wine has a fallback that allows printing to work without cups-libs.i686 installed. I've tested it and it works without the lib. However, it has reduced functionality (full printer name not shown) with the lib missing. I'll add a hard dependency in the next update.

Comment 2 Fedora Update System 2016-11-08 06:23:27 UTC
wine-1.8.5-2.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-afab05a526

Comment 3 Fedora Update System 2016-11-08 06:27:45 UTC
wine-1.8.5-2.el6 has been submitted as an update to Fedora EPEL 6. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8014ecd6ea

Comment 4 Fedora Update System 2016-11-10 04:20:00 UTC
wine-1.8.5-2.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-afab05a526

Comment 5 Fedora Update System 2016-11-10 06:47:39 UTC
wine-1.8.5-2.el6 has been pushed to the Fedora EPEL 6 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-8014ecd6ea

Comment 6 Fedora Update System 2016-11-16 17:32:44 UTC
wine-1.9.23-1.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-aa50f6b48d

Comment 7 Fedora Update System 2016-11-16 19:09:32 UTC
wine-1.9.23-1.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-32e6b1d86a

Comment 8 Fedora Update System 2016-11-17 03:58:51 UTC
wine-1.9.23-1.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-32e6b1d86a

Comment 9 Fedora Update System 2016-11-18 15:56:45 UTC
wine-1.9.23-1.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-aa50f6b48d

Comment 10 Fedora Update System 2016-11-23 03:54:08 UTC
wine-1.9.23-1.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 11 Fedora Update System 2016-11-23 16:38:43 UTC
wine-1.9.23-2.fc25 has been submitted as an update to Fedora 25. https://bodhi.fedoraproject.org/updates/FEDORA-2016-aa50f6b48d

Comment 12 Fedora Update System 2016-11-25 02:51:41 UTC
wine-1.8.5-2.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-11-25 09:40:22 UTC
wine-1.9.23-2.fc25 has been pushed to the Fedora 25 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-aa50f6b48d

Comment 14 Fedora Update System 2016-11-28 05:47:53 UTC
wine-1.8.5-2.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2016-12-04 02:23:29 UTC
wine-1.9.23-2.fc25 has been pushed to the Fedora 25 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.